type: object
properties:
  price:
    type: number
    x-nullable: true
    default: null
  regularPrice:
    type: number
    x-nullable: true
    default: null
  status:
    type: string
    enum: ['requested', 'quoted', 'accepted', 'declined', 'inProgress', 'completed']
  declineReason:
    type: string
    readOnly: true
    x-nullable: true
    default: null

allOf:
  -  $ref: ../../id.yml
  -  $ref: ../../time-stamps.yml
